<?php

/**
 * Build the form to edit domain properties.
 *
 * @param type $form
 * @param type $form_state
 * @param type $did
 * @return type
 */
function drd_domain_edit($form, &$form_state, $did) {
  $domain = drd_domain_load($did);

  $form['#did'] = $did;

  $form['usessl'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use SSL'),
    '#default_value' => $domain->usessl,
  );
  $form['status'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enabled'),
    '#default_value' => $domain->status,
  );

  $form['actions'] = array('#type' => 'actions');
  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  return $form;
}

/**
 * Store the edited domain properties.
 * 
 * @param type $form
 * @param type $form_state
 */
function drd_domain_edit_submit($form, &$form_state) {
  $values = $form_state['values'];
  db_update('drd_domain')
    ->fields(array('usessl' => $values['usessl'], 'status' => $values['status']))
    ->condition('did', $form['#did'])
    ->execute();
}
